com.io7m.jstructural.annotated

## Interface SAIDTargetContentVisitor<T>

- Type Parameters:
    `T` - The type of values returned by the visitor

      public interface SAIDTargetContentVisitor<T>

  A visitor that can visit elements that can be assigned IDs.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `visitParagraph(SAParagraph paragraph)` Visit a paragraph element.
    `T` | `visitPart(SAPart part)` Visit a part element.
    `T` | `visitSection(SASection section)` Visit a section element.
    `T` | `visitSubsection(SASubsection subsection)` Visit a subsection element.

- - ### Method Detail

    - #### visitParagraph

          T visitParagraph(@Nonnull
                         SAParagraph paragraph)
                           throws com.io7m.jaux.Constraints.ConstraintError,
                                  Exception

      Visit a paragraph element.
      Parameters:
        `paragraph` - The paragraph element
      Returns:
        A value of type `T`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitPart

          T visitPart(@Nonnull
                    SAPart part)
                      throws com.io7m.jaux.Constraints.ConstraintError,
                             Exception

      Visit a part element.
      Parameters:
        `part` - The part element
      Returns:
        A value of type `T`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitSection

          T visitSection(@Nonnull
                       SASection section)
                         throws com.io7m.jaux.Constraints.ConstraintError,
                                Exception

      Visit a section element.
      Parameters:
        `section` - The section element
      Returns:
        A value of type `T`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitSubsection

          T visitSubsection(@Nonnull
                          SASubsection subsection)
                            throws com.io7m.jaux.Constraints.ConstraintError,
                                   Exception

      Visit a subsection element.
      Parameters:
        `subsection` - The subsection element
      Returns:
        A value of type `T`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

Copyright © 2014. All rights reserved.